Update Project
curl --request PUT \
--url https://api.example.com/api/projects/{project_id}import requests
url = "https://api.example.com/api/projects/{project_id}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/api/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"odoo_edition": "<string>",
"odoo_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"color": "#3B82F6",
"has_icon_image": false,
"icon": "Box",
"organization_color": "<string>",
"organization_icon": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"owner_type": "user",
"repositories": [],
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Projects
Update Project
Update a project. If repositories is provided, replaces all repos.
Accepts JSON () — the existing shape — OR multipart/form-data with the
same scalar fields plus an optional icon_image file upload and a
clear_icon_image=true flag to wipe the stored image. Multipart is
only used by the project settings page when uploading an icon image;
everything else keeps the JSON path.
PUT
/
api
/
projects
/
{project_id}
Update Project
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes